﻿input[type=range] {
    -webkit-appearance: none;
    margin: 18px 0;
    width: 100%;
    outline: none !important;
    border: none !important;
}

input[type=range]:focus {
    outline: none !important;
    border: none !important;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
    background: #545454;
    border-radius: 0;
    outline: none !important;
    border: none !important;
}

input[type=range]::-webkit-slider-thumb {
    box-shadow: 0 1px 2px 0 rgba(34, 36, 38, .15), 0 0 0 1px rgba(34, 36, 38, .15);
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 500rem;
    background: #ffffff linear-gradient(transparent, rgba(0, 0, 0, 0.05));
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -9px;
    outline: none !important;
    border: none !important;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: #545454;
    outline: none !important;
    border: none !important;
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
    background: #545454;
    border-radius: 0;
    outline: none !important;
    border: none !important;
}

input[type=range]::-moz-range-thumb {
    box-shadow: 0 1px 2px 0 rgba(34, 36, 38, .15), 0 0 0 1px rgba(34, 36, 38, .15);
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 500rem;
    background: #ffffff linear-gradient(transparent, rgba(0, 0, 0, 0.05));
    cursor: pointer;
    outline: none !important;
    border: none !important;
}

input[type=range]::-ms-track {
    width: 100%;
    height: 3px;
    cursor: pointer;
    background: transparent;
    color: transparent;
    outline: none !important;
    border: none !important;
}

input[type=range]::-ms-fill-lower {
    background: #2a6495;
    box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
    outline: none !important;
    border: none !important;
}

input[type=range]::-ms-fill-upper {
    background: #3071a9;
    border-radius: 0;
    box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
    outline: none !important;
    border: none !important;
}

input[type=range]::-ms-thumb {
    box-shadow: 0 1px 2px 0 rgba(34, 36, 38, .15), 0 0 0 1px rgba(34, 36, 38, .15);
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 500rem;
    background: #ffffff linear-gradient(transparent, rgba(0, 0, 0, 0.05));
    cursor: pointer;
    border: none !important;
    outline: none !important;
}

input[type=range]:focus::-ms-fill-lower {
    background: #545454;
    outline: none !important;
    border: none !important;
}

input[type=range]:focus::-ms-fill-upper {
    background: #545454;
    outline: none !important;
    border: none !important;
}

html,
body {
    /* Uncomment this to enable scrolling and zooming
  touch-action: manipulation;
  */
    height: 100%;
    margin: 0 auto;
    padding: 0;
}

.map:-moz-full-screen {
    height: 100% !important;
    width: 100% !important;
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.map:-webkit-full-screen {
    height: 100% !important;
    width: 100% !important;
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.map:-ms-fullscreen {
    height: 100% !important;
    width: 100% !important;
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.map:fullscreen {
    height: 100% !important;
    width: 100% !important;
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.ol-overviewmap {
    right: 2.3em !important;
    top: .5em !important;
    bottom: auto !important;
    left: auto !important;
    padding: 0;
}
.ol-overviewmap button {
    right: .0em !important;
    top: .0em !important;
    bottom: auto !important;
    left: auto !important;
    outline: none;
    background-color: #1B1C1D;
}
.ol-overviewmap button:hover {
    outline: none;
    background-color: #909191;
}
.ol-overviewmap button:focus {
    outline: none;
    background-color: #909191;
}
.ol-overviewmap .ol-overviewmap-map {
    border-color: #1B1C1D;
}
.ol-overviewmap-box {
    border-color: #909191;
}
.ol-rotate {
    top: 3em;
}

.ol-scale-line {
    background: rgba(241, 241, 241, 0.3);
}

.ol-scale-line-inner {
    border-color: #1B1C1D;
    color: #1B1C1D;
    border-width: 2px;
    font-weight: bold;
}

.ol-full-screen {
    padding: 0;
    margin: 0;
}

.ol-full-screen button {
    outline: 0px;
    background-color: #1B1C1D;
}
.ol-rotate {
    padding: 0;
    margin: 0;
}
.ol-rotate-reset {
    padding: 0;
    margin: 0;
    background-color: #1B1C1D !important;
}
.ol-rotate-reset:hover {
    background-color: #909191 !important;
}
.ol-rotate-reset button {
    outline: 0px;
}

.ol-full-screen button:hover {
    outline: 0px;
    background-color: #909191;
}

.ol-full-screen button:focus {
    outline: 0px;
    background-color: #909191;
}
* {
    box-sizing: border-box;
}

#left a:hover {
    text-decoration: none;
    cursor: pointer;
}

#left a {
    text-decoration: none;
    color: black;
}

h3 {
    padding: 0;
    margin: 5px 0 5px 0;
}

.leftmenu .top {
    height: calc(100% - 27px);
    overflow-y: scroll;
    overflow-x: hidden;
}

#iopanel {
    position: absolute;
    bottom: 0;
    right: 10px;
    height: 320px;
    border: none;
    padding: 0;
    margin: 0;
    background: #FBFCFD;
    border-top-left-radius: .386rem;
    border-top-right-radius: .386rem;
    max-width: 270px;
    min-width: 220px;
    width: 20%;
}

#iopanel .iotop {
    height: 30px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.sendChat>* {
    border-radius: 0px !important;
}

#chat {
    width: 100%;
    height: calc(100% - 61px);
    border: 1px solid rgba(34, 36, 38, .15);
    border-width: 0 1px;
    overflow-y: auto;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

#progress {
    display: none;
}

#sidebarButton {
    bottom: 0;
    top: 0;
    left: 2px;
    position: fixed;
    z-index: 20;
    font-size: x-large;
    text-align: center;
    cursor: pointer;
    border: 1px solid #C4C4C3;
    border-left: 0;
    margin: auto;
    float: left;
    width: 25px;
    height: 30px;
    vertical-align: middle;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    background: rgba(241, 241, 241, 0.9);
}

#sidebarButton i {
    line-height: 28px;
}


.img {
    background-size: auto 100%;
    background-position: left bottom;
    background-repeat: no-repeat !important;
    width: 98%;
    margin: 2px auto 0px auto;
    height: 61px;
    line-height: 31px;
    vertical-align: text-bottom !important;
    text-align: right;
    background: #f1f1f1;
}

.done>div {
    width: auto;
    height: 87px;
    margin: 2px 2px 6px 2px;
    border: none;
    box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
    border-radius: .28571429rem;
    transition: box-shadow .1s ease, transform .1s ease, -webkit-transform .1s ease;
    background: #f1f1f1;
    position: relative;
}

.done>div:hover,
.done .selected,
.done .selected:hover {
    box-shadow: 0 2px 4px 0 #888, 0 0 0 1px #888;
}


.done .title {
    font-size: 100%;
    font-weight: bold;
    height: 22;
    width: 98%;
    margin: auto;
    border: solid #d4d4d5;
    border-width: 0 0 1px 0;
}
.title_text {    
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    float: left;
    width: calc(100% - 30px);
}
.done input[type=text],

.done input[type=text] {
    height: 100%;
}

.done .selected .title {
    border-color: #888;
}
.processing_text:after {
    display: inline-block;
    animation: dotty steps(1,end) 2s infinite;
    content: '\00a0\00a0\00a0';
}

@keyframes dotty {
    0%   { content: '\00a0\00a0\00a0'; }
    25%  { content: '.\00a0\00a0'; }
    50%  { content: '..\00a0'; }
    75%  { content: '...'; }
    100% { content: '\00a0\00a0\00a0'; }
}
.wip>div {
    width: auto;
    height: 87px;
    margin: 2px 2px 6px 2px;
    border: none;
    box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
    border-radius: .28571429rem;
    transition: box-shadow .1s ease, transform .1s ease, -webkit-transform .1s ease;
    background: #f1f1f1;
    position: relative;
}

.wip .title {
    font-size: 100%;
    font-weight: bold;
    height: 22;
    width: 98%;
    margin: auto;
    border: solid #d4d4d5;
    border-width: 0 0 1px 0;
}

.wip input[type=text],
.wip input[type=text] {
    height: 100%;
}

#caseNameInput {
    margin: 0;
    padding: 0;
    width: 100%;
    border: none;
    background: rgba(0, 0, 0, 0);
    font-weight: bold;
    font-size: 98%;
    font-family: Lato, 'Helvetica Neue', Arial, Helvetica, sans-serif;
}
#page {
    height: 100%;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

#drawInfo {
    position: absolute;
    z-index: 100;
    box-shadow: 1px 1px 1px #d4d4d5;
    transform: translate(-42%, 0);
}

#drawingTools {
    position: absolute;
    z-index: 1000;
    margin: 0;
    padding: 0;
}

#page .leftmenu {
    display: flex;
    height: calc(100% - 42.84px);
    width: 275px;
    float: left;
    margin: 0 auto;
    padding: 0;
    border: solid #d4d4d5;
    border-width: 0px 1px 0px 0px;
    padding: 2px;
    background: #FBFCFD;
    flex-direction: column;
}

#page .map {
    height: calc(100% - 42.84px);
    width: calc(100% - 275px);
    float: left;
    border: none;
    margin: 0 auto;
    padding: 0;
    position: relative;
}

#page .topbar {
    width: 100%;
    height: 42.84px;
    border-radius: 0px;
}

.uploadProgress {
    margin: 0 !important;
    padding: 0 !important;
    width: 239px;
    float: left;
}

#map:focus {
    outline: none !important;
    border: none;
}

.mapCanvas:hover {
    cursor: crosshair;
}
.image_label {    
    width: 120px;
    height: 120px;
    display: none;
    position: absolute;
    top: 5px;
    left: 5px;
}
.image_label_rotate{
    display: none !important;
}
.image_label:hover .image_label_rotate {
    display: block !important;
}
.kick_button{
    display: none !important;
}
.team_member:hover .kick_button {
    display: inline !important;
}
.ui.progress .bar {
    min-width: 0 !important;
}
.image_uploaded_popup {
    padding: 5px !important;
    transition: all 0.3s ease-in-out 0s;
    margin: 0 !important;
    height: 92px;
    width: 300px;
    transform: translate(0, 170px); 
}
.popup_showing {
    transform: translate(0, 0) !important; 
}
.popup_image {
    margin: 0 8px 0 0 !important;
    width: 80px !important;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.image_uploaded_popup div {
    height: 80px !important;
    float: left !important;
    line-height: 80px !important;
}
.image_uploaded_popup div span {
    vertical-align: middle !important;
    line-height: 20px !important;
    display: inline-block !important;
    word-break: break-all !important;
}
@media screen and (max-width:1150px) {
    #page .leftmenu {
        position: absolute;
        z-index: 1;
        height: auto;
        bottom: 0;
        top: 42.84px;
        background: rgba(241, 241, 241, 0.9);
    }
    #page .map {
        width: 100%;
    }
}

@media screen and (max-width:460px) {
    .topbar .headtitle {
        display: none !important;
    }
}
@media screen and (max-width:420px) {
    .topbar .item {
        padding-left: 16px !important;
        padding-right: 16px !important;
    }
}
@media screen and (max-width:380px) {
    .topbar .item {
        padding-left: 14px !important;
        padding-right: 14px !important;
    }
}
@media screen and (max-width:360px) {
    .topbar .item {
        padding-left: 13px !important;
        padding-right: 13px !important;
    }
}
@media screen and (max-width:320px) {
    .topbar .item {
        padding-left: 11px !important;
        padding-right: 11px !important;
    }
}